Evaluate a query against the authenticated user's credentials
curl --request POST \
--url https://api.sandbox.humanity.org/v2/queries/evaluate \
--header 'Content-Type: application/json' \
--data '
{
"query": {
"check": {
"claim": "<string>",
"operator": "<unknown>",
"value": "<unknown>"
}
}
}
'import requests
url = "https://api.sandbox.humanity.org/v2/queries/evaluate"
payload = { "query": { "check": {
"claim": "<string>",
"operator": "<unknown>",
"value": "<unknown>"
} } }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({query: {check: {claim: '<string>', operator: '<unknown>', value: '<unknown>'}}})
};
fetch('https://api.sandbox.humanity.org/v2/queries/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<unknown>",
"passed": true,
"evaluatedAt": "<string>",
"evidence": {
"claimsUsed": [
{
"path": "<string>",
"value": "<unknown>",
"credentialId": "<string>",
"source": "<string>"
}
],
"checkResults": [
{
"claim": "<string>",
"operator": "<string>",
"expectedValue": "<unknown>",
"actualValue": "<unknown>",
"passed": true
}
]
},
"expiresAt": "<string>"
}API Reference
Evaluate a query against the authenticated user's credentials
Evaluate a query against the authenticated user’s credentials. This endpoint allows declarative queries to check user claims.
POST
/
queries
/
evaluate
Evaluate a query against the authenticated user's credentials
Body
application/json
The query to evaluate
Request body for query evaluation.
The query to evaluate. Can be a simple check or compound policy.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Response
200 - application/json
Query evaluation result
- Option 1
- Option 2
Response from predicate query evaluation.
⌘I